Follow us on Twitter X-Cart on Facebook Wiki
Shopping cart software Solutions for online shops and malls

X-Cart 5.5 Is Out! What's New?

 
Reply
   X-Cart forums > News and Announcements
 
Thread Tools
  #11  
Old 10-27-2022, 06:02 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 14,138
 

Default Re: X-Cart 5.5 Is Out! What's New?

Did you install with PHP 8.1?

The XC docs clearly states 7.4 or 8.0


https://developer.x-cart.com/getting_started/requirements

PHP (7.4 or 8.0)

So PHP 8.1.x, MySQL 8, env file with dev environment, debug set to 1, all other settings as needed.

First attempt to install clean copy failed with "SQLSTATE[HY000] [2002] No handler for this scheme" error. It took me some time to realize the db socket not being specified in .env file is the reason. So make sure all DB info in the .env file is properly added.

Then off to the next error - "Handling "XCart\Messenger\Message\SendMail" failed: Warning: Undefined array key "REQUEST_URI" - which is not something I could find in any settings file to adjust.

Changed the "debug" in .env file to false produces next error

"You cannot define a sequence item when in a mapping at line 11 (near "- 'CREATE TABLE xc_countries (code CHAR(2) NOT NULL, active_currency INT DEFAULT NULL, currency_id INT UNSIGNED DEFAULT NULL, lng_id INT DEFAULT NULL, id INT NOT NULL, code3 CHAR(3) NOT NULL, enabled TINYINT(1) NOT NULL, INDEX IDX_63D5E39A38248176 (currency_id), INDEX IDX_63D5E39AD7077436 (lng_id), INDEX enabled (enabled), INDEX active_currency (active_currency), PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB'")."

At this time I just gave up for the time being. Now this was a clean install attempt and I want to run an upgrade but I cannot imagine running this on a live store and failing like that. It will be disastrous.
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
  #12  
Old 10-27-2022, 07:55 AM
 
Dougrun Dougrun is online now
 

X-Adept
  
Join Date: Apr 2012
Posts: 860
 

Default Re: X-Cart 5.5 Is Out! What's New?

I have 8.0 and 8.1 on my server (easyapache4) but have not attempted any upgrade yet.
__________________
4.7.x xcart store
Business 5.4xx
Reply With Quote
  #13  
Old 10-31-2022, 12:16 AM
 
Anastasia Zhavoronkova Anastasia Zhavoronkova is offline
 

X-Cart team
  
Join Date: Jun 2018
Posts: 20
 

Default Re: X-Cart 5.5 Is Out! What's New?

Quote:
Originally Posted by cflsystems
PHP 8 support - does this means 8.0 or 8.1 and 8.2 is covered as well?

Hi Steve! It’s PHP 8.0 for now, we had to offer this to support upgrades. We are working right now on adding support for PHP 8.1 and 8.2. It’s going to be available in the next updates, stay tuned for our news and announcements.
__________________
Nastya Zhavoronkova, X-Cart
Reply With Quote
  #14  
Old 10-31-2022, 02:26 AM
 
Triple A Racing Triple A Racing is offline
 

X-Wizard
  
Join Date: Jul 2008
Location: Manchester UK
Posts: 1,026
 

Default Re: X-Cart 5.5 Is Out! What's New?

Quote:
Originally Posted by Anastasia Zhavoronkova
Hi Steve! It’s PHP 8.0 for now, we had to offer this to support upgrades. We are working right now on adding support for PHP 8.1 and 8.2. It’s going to be available in the next updates, stay tuned for our news and announcements.
If people are stuck on PHP 8.0, they themselves, are already behind...
Most active software companies would have launched a new upgrade / platform that supports PHP 8.2 / 8.1 / 8.0 - by default. Still, let's see, when the "next update" arrives, to avoid making any incorrect or unfair pre-judgments.
Quote:
Originally Posted by cflsystems
Initial review shows most if not all 3rd party modules will require complete overhaul/rewrite. This doesn't sound like a major upgrade. More of a new XC5 platform.
The bad news here is 5.5.x "is out of beta" and we did not have a chance to adapt anything to it while it was in beta. Now any new XC5 installations will rely on QT/SL modules only. Any existing XC5 stores will not be able to upgrade for many months.I have over 30 modules. There is no way all of them will be 5.5.x ready soon especially with holidays around the corner. Maybe thought this is a good thing - it will give a chance for the bugs to be worked out before any of the existing stores move to upgrade.
No extra words needed ^
__________________
Dev Store & Live Store XC Business 5.4.1.35
Server; Ubuntu 22.04.1 LTS (HWE 5.15.0.58.64 Kernel)) / Plesk Obsidian
Nginx 1.20.2.1 / Apache 2.4.52 (Ubuntu Backported) / MariaDB 10.6.11 / PHP 7.4.33
Reply With Quote
  #15  
Old 10-31-2022, 06:28 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 14,138
 

Default Re: X-Cart 5.5 Is Out! What's New?

Quote:
Originally Posted by Anastasia Zhavoronkova
Hi Steve! It’s PHP 8.0 for now, we had to offer this to support upgrades. We are working right now on adding support for PHP 8.1 and 8.2. It’s going to be available in the next updates, stay tuned for our news and announcements.


Any word on the errors I am getting? I tried on another local machine although similar environment and got the same errors. The "You cannot define a sequence item when in a mapping..." although had different line. Is this due to the fact I am running it on PHP 8.1?

I am yet to try an upgrade from the latest 5.4.x but I have the feeling it will fail. So at this point unless I start changing my working environment (which I am not happy about doing) I can't try the new XC 5.5.x and cannot start working on the modules.

Changed PHP to 8.0 - same, no go. Same errors and new one now - Handling "XCart\Messenger\Message\SendMail" failed: Undefined constant "XLite\Core\RemoteResource\CURLOPT_FOLLOWLOCATION"

Anyone else tried new install of 5.5.x and had any success?
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
  #16  
Old 10-31-2022, 07:06 AM
 
Dougrun Dougrun is online now
 

X-Adept
  
Join Date: Apr 2012
Posts: 860
 

Default Re: X-Cart 5.5 Is Out! What's New?

The REST API module is still not ready so i'm waiting.
__________________
4.7.x xcart store
Business 5.4xx
Reply With Quote
  #17  
Old 10-31-2022, 08:54 AM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 14,138
 

Default Re: X-Cart 5.5 Is Out! What's New?

Finally managed to get this installed. So definitely PHP 7.4 or 8 only, MySQL 8 works, now to figure out the rest.
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote
  #18  
Old 10-31-2022, 12:27 PM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 14,138
 

Default Re: X-Cart 5.5 Is Out! What's New?

Ok here is the latest. It is a nightmare to get this thing working. At least what's my experience with it so far. And still not fully tested.
My local env is running PHP 8.1.x. With XC 5.4.x I just have a line in htaccess to direct it to use PHP 7.4 and all is good. This does not work with XC 5.5.x installation as it runs from the command line and webdir htaccess doesn't matter. So I had to switch PHP cli too. Which means I have to constantly do this while working on different sites and XC 5.5.x - not a good thing.

But that's not all. In order to run the app after installation you have to modify the web server config - not the htaccess which doesn't even exists with XC 5.5.x but the actual web server config. So you have to have access to that or ask the host to do it for you. I do have access but then since it is a local machine with many sites and I use directories not individual web server configs I didn't want to mess up with that right now. There is a way to still direct XC 5.5.x through htaccess but not everything is working properly. And the admin side complains about that even though according to the docs it should work.
The docs are lacking tons of info so good luck getting everything in order - tons of time to experiment and fix every error/complaint.

So far really not a good experience with XC 5.5.x.
XC 5.4.x runs under PHP 7.4.x and MySQL 8, and it has been out of years so as less bugs as possible.
XC 5.5.x runs under PHP 7.4 or 8 and MySQL 8 - so just about the same. And it just came out. With drastic changes, ssh access required with possible web server access required.

All this is not necessarily a bad thing but I just don;t see why anyone will want to go through all these trouble at this point to upgrade to the same server environment which soon will be out of support anyway.
Until XC 5.5.x is PHP 8.1 and 8.2 ready I don't see the point. At least I guess I can start working on some module adaptation despite all the going back and forth between PHP versions.


Adding the Symfony debug bar is a nice touch but then I would expect form a stock installation to be free of errors. Yet it is not - every page I loaded shows some DB association or mapping errors. Also get we get the debug par page to load in new window/tab when clicked?


** Edited **
Spoke too soon about the PHP version - both cli and web must use 7.4 or 8 in order for the cart to fully work. After switching cli to 8.1 I tried removing modules from admin (web) however it threw up an error and until I changed back the cli PHP version I was not able to complete the task.
So back to - XC 5.5. must be able to run on PHP 8.1+ , until then I'll just wait. Hoping this will be soon.
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote

The following 2 users thank cflsystems for this useful post:
toolexperts (12-12-2022), Triple A Racing (11-02-2022)
  #19  
Old 11-01-2022, 05:11 PM
 
kevinrm kevinrm is offline
 

X-Wizard
  
Join Date: Aug 2003
Posts: 1,002
 

Default Re: X-Cart 5.5 Is Out! What's New?

I'll never forget the hell I went through went I upgraded from 4.x to 5.x. It looks like 1/3 of the mods I have won't work, there's no way I will upgrade anytime soon.
__________________
X-Cart 5.4.1.37 Live
PHP 7.4
10.3 MariaDB
Apache 2.4
CENTOS 7.8 64Bit Single Quad-Core E3-1241v3 3.4Ghz 8M 1600 w/ HT
32GB RAM 2x 512GB Samsung 850 Pro SSD RAID 1
Reply With Quote
  #20  
Old 11-03-2022, 08:00 AM
 
Dougrun Dougrun is online now
 

X-Adept
  
Join Date: Apr 2012
Posts: 860
 

Default Re: X-Cart 5.5 Is Out! What's New?

i see they have disabled the upgrade in-store, it now just says "contact us"
__________________
4.7.x xcart store
Business 5.4xx
Reply With Quote
Reply
   X-Cart forums > News and Announcements


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -8. The time now is 05:53 AM.

   

 
X-Cart forums © 2001-2020